summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2011-02-28 20:46:05 (GMT)
committer Peter Korsgaard <jacmet@sunsite.dk>2011-02-28 20:46:05 (GMT)
commit42daeb724174ddea339ecc3335ce8060f1970fc6 (patch)
tree692ee96f41cc9bb0936c40875bb1a7c15fcbc75a
parent910a54002b9734b00a04111841cc1f628fec0a04 (diff)
downloadbuildroot-42daeb724174ddea339ecc3335ce8060f1970fc6.tar.gz
buildroot-42daeb724174ddea339ecc3335ce8060f1970fc6.tar.bz2
qt: qt3 compatibility needs gui support
Closes #2911 Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
-rw-r--r--CHANGES1
-rw-r--r--package/qt/Config.in1
2 files changed, 2 insertions, 0 deletions
diff --git a/CHANGES b/CHANGES
index 73c1ad8..5bc2918 100644
--- a/CHANGES
+++ b/CHANGES
@@ -9,6 +9,7 @@
Issues resolved (http://bugs.uclibc.org):
+ #2911: Qt: Disable qt3support-option, if gui-module isn't selected
#3259: Unable to build webkit (on arm)
#3295: slang fails to build on mipsel
#3325: ffmpeg fails to build
diff --git a/package/qt/Config.in b/package/qt/Config.in
index e5fe325..3cc04f4 100644
--- a/package/qt/Config.in
+++ b/package/qt/Config.in
@@ -57,6 +57,7 @@ config BR2_PACKAGE_QT_LICENSE_APPROVED
config BR2_PACKAGE_QT_QT3SUPPORT
bool "Compatibility with Qt3"
+ depends on BR2_PACKAGE_QT_GUI_MODULE
help
Turns on support for older Qt3. This will create an additional
library with proxy code and increase the space required on target.